GPASTE(1)

NAME
GPaste - A lightweight clipboard manager for the Gnome desktop

SYNOPSIS
[command |] gpaste [options...]

DESCRIPTION
GPaste is a modular clipboard management system with a fully DBus-based daemon, a CLI client and a gtk+ tray icon.

COMMANDS

gpaste [history]
    Display the history with indexes

gpaste history-size
    Display this size of the history

gpaste backup-history
    Backup the current history

gpaste switch-history
    Switch to another history

gpaste delete-history
    Delete a history

gpaste list-histories
    List available histories

gpaste add <text>
    Add the text into the history

gpaste add-password <name> <password>
    Add the name - password couple to the history

gpaste delete-password <name>
    Delete the password <name>

gpaste set-password <number> <name>
    Mark the <number>th item of the history as being a password named <name>

gpaste rename-password <old name> <new name>
    Rename the password

gpaste get <number>
    Get the <number>th item from the history

gpaste select <number>
    Put the <number>th item of the history into the clipboard

gpaste merge [--decoration|-d <string>] [--separator|-s <string>] <number> … <number>
    Merge the <number>th items of the history and put the result in the clipboard
    If foo bar and baz are respectively index 1 3 and 4 in history and you run
    gpaste merge -d '"' -s ',' 1 3 4
    You will end up with "foo","bar","baz" in your clipboard

gpaste delete <number>
    Delete the <number>th item of the history

gpaste file <path>
    Put the content of the file at <path> into the clipboard

command | gpaste
    Put the output of the command into the history

gpaste empty
    Empty the history

gpaste start
    Start tracking clipboard changes

gpaste stop
    Stop tracking clipboard changes

gpaste upload <number>
    Upload the <number>th item to a pastebin service

gpaste ui
    Launch the graphical tool

gpaste daemon-reexec
    Reexecute the daemon, for example after upgrading GPaste

gpaste settings
    Launch the configuration tool

gpaste version
    Display the version

gpaste daemon-version
    Display the daemon version

gpaste help
    Display the help

gpaste about
    Display the about dialog

gpaste show-history
    Make the applet or extension display the history

OPTIONS

--oneline
    Display each item on one line, without new lines

--raw
    Display the item raw (without index)

--zero
    Use NUL character instead of new lines between each item